Bug 245436 - authd.c contains illegal identifier $_LONGOPT
authd.c contains illegal identifier $_LONGOPT
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: authd (Show other bugs)
rawhide
arm9 Linux
low Severity low
: ---
: ---
Assigned To: Ondrej Dvoracek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2007-06-23 03:10 EDT by Lennert Buytenhek
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-19 06:28:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Suggested patch. (493 bytes, patch)
2007-06-23 03:10 EDT, Lennert Buytenhek
no flags Details | Diff

  None (edit)
Description Lennert Buytenhek 2007-06-23 03:10:15 EDT
authd.c 1.4.3 has:

    enum { $_LONGOPT = UCHAR_MAX,       // no short opt value overlap

where $_LONGOPT is not a legal identifier.  This causes the build to
bomb out on ARM.  (I wonder why it doesn't bomb out on other archs.)

Attached patch (which changes $_LONGOPT to PRE_FIRST_LONGOPT) seems
to work for me.  I tried finding out whether there is a mailing list
for authd where to submit this patch, but there doesn't seem to be such
a thing, which is why I'm submitting it directly to bugzilla.  Maybe
you can help.

Thanks for your time.
Comment 1 Lennert Buytenhek 2007-06-23 03:10:15 EDT
Created attachment 157676 [details]
Suggested patch.

Note You need to log in before you can comment on or make changes to this bug.